import { CqrsModule } from '@nestjs/cqrs';
import { OffChainCertificateService } from './offchain-certificate.service';
import { BlockchainSynchronizeService } from './synchronize/blockchain-synchronize.service';
import { ClaimPersistHandler } from './synchronize/handlers/claim-persist.handler';
import { TransferPersistHandler } from './synchronize/handlers/transfer-persist.handler';
import { OnChainCertificateForUnitTestsModule } from '../onchain-certificate/onchain-certificate.module';
import { CertificateEventService } from './repositories/CertificateEvent/CertificateEvent.service';
import { BatchSynchronizeStrategy } from './synchronize/strategies/batch/batch-synchronize.strategy';
import { IssuePersistHandler } from './synchronize/handlers/issue-persist.handler';
import { CertificateCommandInMemoryRepository } from './repositories/CertificateCommand/CertificateCommandInMemory.repository';
import { CertificateEventInMemoryRepository } from './repositories/CertificateEvent/CertificateEventInMemory.repository';
import { CertificateReadModelInMemoryRepository } from './repositories/CertificateReadModel/CertificateReadModelInMemory.repository';
import { EntityManager } from 'typeorm';
import { BlockchainSynchronizeSyncService } from './synchronize/blockchain-synchronize-sync.service';
export declare class OffChainCertificateModule {
}
export declare class OffChainCertificateForUnitTestsModule {
    static register(onChainModule?: typeof OnChainCertificateForUnitTestsModule): {
        module: typeof OffChainCertificateForUnitTestsModule;
        providers: (typeof OffChainCertificateService | typeof IssuePersistHandler | typeof ClaimPersistHandler | typeof TransferPersistHandler | typeof CertificateEventService | {
            provide: symbol;
            useClass: typeof CertificateCommandInMemoryRepository;
            useValue?: undefined;
        } | {
            provide: symbol;
            useClass: typeof CertificateEventInMemoryRepository;
            useValue?: undefined;
        } | {
            provide: symbol;
            useClass: typeof CertificateReadModelInMemoryRepository;
            useValue?: undefined;
        } | {
            provide: symbol;
            useClass: typeof BatchSynchronizeStrategy;
            useValue?: undefined;
        } | {
            provide: symbol;
            useValue: import("./synchronize/strategies/batch/batch.configuration").BatchConfiguration;
            useClass?: undefined;
        } | {
            provide: symbol;
            useValue: EntityManager;
            useClass?: undefined;
        } | {
            provide: typeof BlockchainSynchronizeService;
            useClass: typeof BlockchainSynchronizeSyncService;
            useValue?: undefined;
        })[];
        exports: (typeof OffChainCertificateService | typeof BlockchainSynchronizeService)[];
        imports: (typeof CqrsModule | typeof OnChainCertificateForUnitTestsModule)[];
    };
}
