import { CertificateEventEntity } from './CertificateEvent.entity';
import { CertificateEventRepository } from './CertificateEvent.repository';
import { ICertificateEvent } from '../../events/Certificate.events';
import { CertificateSynchronizationAttemptEntity } from './CertificateSynchronizationAttempt.entity';
export declare class CertificateEventInMemoryRepository implements CertificateEventRepository {
    private eventDb;
    private attemptDb;
    private maxSynchronizationAttemptsForEvent;
    getAll(): Promise<CertificateEventEntity[]>;
    getByInternalCertificateId(internalCertId: number): Promise<CertificateEventEntity[]>;
    save(event: Omit<ICertificateEvent, 'id'>, commandId: number): Promise<CertificateEventEntity>;
    createSynchronizationAttempt(eventId: number): Promise<CertificateSynchronizationAttemptEntity>;
    updateAttempt({ eventId, error }: {
        eventId: any;
        error: any;
    }): Promise<CertificateSynchronizationAttemptEntity>;
    findAllToProcess(): Promise<CertificateEventEntity[]>;
    getOne(eventId: number): Promise<CertificateEventEntity>;
    getBlockchainIdMap(internalCertIds: number[]): Promise<Record<number, number>>;
    getNumberOfCertificates(): Promise<number>;
}
