import { OnChainCertificateService } from '../../../onchain-certificate/onchain-certificate.service';
import { CertificateClaimedEvent } from '../../events/Certificate.events';
import { OffChainCertificateService } from '../../offchain-certificate.service';
import { BatchConfiguration } from '../strategies/batch/batch.configuration';
export declare class ClaimPersistHandler {
    private readonly certificateService;
    private readonly offchainCertificateService;
    private batchConfiguration;
    constructor(certificateService: OnChainCertificateService, offchainCertificateService: OffChainCertificateService, batchConfiguration: BatchConfiguration);
    handleBatch(events: CertificateClaimedEvent[], blockchainIdMap: Record<number, number>): Promise<{
        failedCertificateIds: number[];
    }>;
    private synchronizeBatchBlock;
}
