import { OnChainCertificateService } from '../../../onchain-certificate/onchain-certificate.service';
import { CertificateIssuedEvent } from '../../events/Certificate.events';
import { OffChainCertificateService } from '../../offchain-certificate.service';
import { BatchConfiguration } from '../strategies/batch/batch.configuration';
export declare class IssuePersistHandler {
    private readonly certificateService;
    private readonly offchainCertificateService;
    private batchConfiguration;
    constructor(certificateService: OnChainCertificateService<unknown>, offchainCertificateService: OffChainCertificateService, batchConfiguration: BatchConfiguration);
    private synchronizeBatchBlock;
    handleBatch(events: CertificateIssuedEvent[]): Promise<{
        failedCertificateIds: number[];
    }>;
}
